import request from '@/utils/request'

// 查询企微获客链接管理列表
export function listWorkLink(query) {
  return request({
    url: '/qw/workLink/list',
    method: 'get',
    params: query
  })
}
// 查询企微获客链接管理列表-不分页
export function listAll(query) {
  return request({
    url: '/qw/workLink/listAll',
    method: 'get',
    params: query
  })
}

// 查询企微获客链接管理详细
export function getWorkLink(id) {
  return request({
    url: '/qw/workLink/' + id,
    method: 'get'
  })
}

// 新增企微获客链接管理
export function addWorkLink(data) {
  return request({
    url: '/qw/workLink',
    method: 'post',
    data: data
  })
}

// 修改企微获客链接管理
export function updateWorkLink(data) {
  return request({
    url: '/qw/workLink',
    method: 'put',
    data: data
  })
}

// 删除企微获客链接管理
export function delWorkLink(id) {
  return request({
    url: '/qw/workLink/' + id,
    method: 'delete'
  })
}

// 导出企微获客链接管理
export function exportWorkLink(query) {
  return request({
    url: '/qw/workLink/export',
    method: 'get',
    params: query
  })
}
